Katello - Feature #24180

[UI] Support System Purpose on Activation Keys
07/06/2018 01:31 AM - Jonathon Turel

Status: Closed
Priority: Normal
Assignee: Swetha Seelam Lakshmi Narayanan
Category: Web Ul
Target version: Katello 3.13.0
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/818
6
Description

As a User | can set and modify the system purpose attributes on my activation keys
so that auto-attach can bind the best available subscriptions

Acceptance Criteria

e system purpose attributes can be set when creating an activation key

e system purpose attributes can be set on an existing activation key

e system purpose attributes can be set to nil values (they are not required)

e system purpose attributes are shown when retrieving activation key details

Associated revisions

Revision 0299b87e - 07/02/2019 01:59 AM - Swetha Seelam Lakshmi Narayanan
fixes #24180 - Ul sys purpose act key

History

#1 - 07/06/2018 01:36 AM - Jonathon Turel
- Blocks Feature #24075: System Purpose P1, P2 added

#2 - 07/18/2018 04:50 PM - Jonathon Turel

- Target version set to Katello 3.9.0

#3 - 07/18/2018 06:47 PM - Jonathon Turel

- Triaged changed from No to Yes

#4 - 10/10/2018 05:14 PM - Jonathon Turel
- Blocks deleted (Feature #24075: System Purpose P1, P2)

#5 - 10/10/2018 05:15 PM - Jonathon Turel

- Target version changed from Katello 3.9.0 to Katello Backlog

#6 - 06/13/2019 01:41 PM - Jonathon Turel
- Target version changed from Katello Backlog to Katello 3.13.0

- Triaged changed from Yes to No

#7 - 06/13/2019 03:51 PM - Jonathon Turel

- Subject changed from Ul actions for System Purpose on Activation Keys to [Ul] Support System Purpose on Activation Keys

#8 - 06/19/2019 05:57 PM - James Jeffers
- Triaged changed from No to Yes

#9 - 06/28/2019 06:23 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/Katello/katello/pull/8186 added

#10 - 06/28/2019 06:30 PM - Jonathon Turel

- Assignee set to Swetha Seelam Lakshmi Narayanan

#11 - 07/02/2019 02:01 AM - Swetha Seelam Lakshmi Narayanan
- Status changed from Ready For Testing to Closed

Applied in changeset katello|0299b87ee3al0dca3d5alfbb741939850edccd98b.

05/17/2024

22


https://projects.theforeman.org/projects/katello/repository/katello/revisions/0299b87ee3a0dca3d5a1fbb741939850edccd98b
http://www.tcpdf.org

